> ## Documentation Index
> Fetch the complete documentation index at: https://docs.openhands.dev/llms.txt
> Use this file to discover all available pages before exploring further.

# Search User Installations

> Get user installations (GitHub apps) or equivalent for other providers.

Returns a paginated list of installation IDs or workspace IDs depending on the provider.



## OpenAPI

````yaml /openapi/openhands-cloud.json get /api/v1/git/installations/search
openapi: 3.1.0
info:
  title: OpenHands
  description: 'OpenHands: Code Less, Make More'
  version: 0.0.1
servers: []
security: []
paths:
  /api/v1/git/installations/search:
    get:
      tags:
        - Git
      summary: Search User Installations
      description: >-
        Get user installations (GitHub apps) or equivalent for other providers.


        Returns a paginated list of installation IDs or workspace IDs depending
        on the provider.
      operationId: search_user_installations_api_v1_git_installations_search_get
      parameters:
        - name: provider
          in: query
          required: true
          schema:
            $ref: '#/components/schemas/ProviderType'
        - name: page_id
          in: query
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            title: Optional next_page_id from the previously returned page
        - name: limit
          in: query
          required: false
          schema:
            type: integer
            maximum: 100
            exclusiveMinimum: 0
            title: The max number of results in the page
            default: 100
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/InstallationPage'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
      security:
        - APIKeyHeader: []
components:
  schemas:
    ProviderType:
      type: string
      enum:
        - github
        - gitlab
        - bitbucket
        - bitbucket_data_center
        - forgejo
        - azure_devops
        - enterprise_sso
      title: ProviderType
    InstallationPage:
      properties:
        items:
          items:
            type: string
          type: array
          title: Items
        next_page_id:
          anyOf:
            - type: string
            - type: 'null'
          title: Next Page Id
      type: object
      required:
        - items
      title: InstallationPage
      description: |-
        Paginated response for installations.

        Attributes:
            items: List of installation IDs.
            next_page_id: ID for the next page, or None if there are no more pages.
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
        input:
          title: Input
        ctx:
          type: object
          title: Context
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
  securitySchemes:
    APIKeyHeader:
      type: apiKey
      in: header
      name: X-Access-Token

````